<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Teknisa\Entities\BudgetItemFctItemorcamento as EntityBudgetItemFctItemorcamento;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class BudgetItemFctItemorcamento 
{
    
    public function save(EntityBudgetItemFctItemorcamento $entityBudgetItemFctItemorcamento = null, $cdServOrca, $budgetItemId, $dtinclusao, $cdoperinclusao, $nrorg)
    {
        if ($entityBudgetItemFctItemorcamento === null) {
            $novoCodigo = NovoCodigo::geraCodigo($nrorg, "BUDGET_ITEM_FCT_ITEMORCAMENTO", 1, 10, false, false);
            $entityBudgetItemFctItemorcamento = new EntityBudgetItemFctItemorcamento();
            $entityBudgetItemFctItemorcamento->setId($novoCodigo);
            $entityBudgetItemFctItemorcamento->setDtinclusao($dtinclusao);
            $entityBudgetItemFctItemorcamento->setNrorginclusao($nrorg);
            $entityBudgetItemFctItemorcamento->setCdoperinclusao($cdoperinclusao);
        }
        
        $entityBudgetItemFctItemorcamento->setNrorg($nrorg);
        $entityBudgetItemFctItemorcamento->setDtultatu($dtinclusao);
        $entityBudgetItemFctItemorcamento->setNrorgultatu($nrorg);
        $entityBudgetItemFctItemorcamento->setCdoperultatu($cdoperinclusao);
        $entityBudgetItemFctItemorcamento->setBudgetItemId($budgetItemId);
        $entityBudgetItemFctItemorcamento->setCdservorca($cdServOrca);
        return $entityBudgetItemFctItemorcamento;
    }
} 